<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['gazelle.vut.UnitTest']}</h1>
        <h:form>
            <h:commandButton styleClass="gzl-btn-green"
                             action="#{validatorIntegrationTestManager.createUnitTest()}"
                             immediate="true" value="#{messages['net.ihe.gazelle.xdstar.CreateTest']}"
                             title="#{messages['net.ihe.gazelle.xdstar.CreateTest']}"
                             id="createTest"/>
        </h:form>
        <br/>
        <br/>
        <s:decorate template="/unittesting/browseUnitTestsTemplate.xhtml">
            <ui:param name="managedBean"
                      value="#{validatorIntegrationTestBrowser}"/>
            <ui:param name="unitTestManagerBean"
                      value="#{validatorIntegrationTestManager}"/>
            <ui:define name="moreFilters">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{validatorIntegrationTestBrowser.filter}"/>
                            <ui:param name="filterId" value="rule"/>
                            <ui:param name="filterName"
                                      value="#{messages['net.ihe.gazelle.xdstar.TestedValidator_2']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                </div>
            </ui:define>
            <ui:define name="moreColumns">
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.TestedValidator']}</ui:define>
                    <h:outputText value="#{ut.testedValidator.validatorName}"/>
                </g:column>
            </ui:define>

        </s:decorate>

    </ui:define>
</ui:composition>